## GtkToggleAction GtkToggleAction — An action which can be toggled between two states |

## Functions

GtkToggleAction * | gtk_toggle_action_new ()
void | gtk_toggle_action_toggled ()
void | gtk_toggle_action_set_active ()
gboolean | gtk_toggle_action_get_active ()
void | gtk_toggle_action_set_draw_as_radio ()
gboolean | gtk_toggle_action_get_draw_as_radio ()

## Properties

gboolean | active | Read / Write
gboolean | draw-as-radio | Read / Write

## Signals

void | toggled | Run First

## Types and Values

struct | GtkToggleAction

## Object Hierarchy

        GObject
        ╰── GtkAction
            ╰── GtkToggleAction
                ╰── GtkRadioAction

## Implemented Interfaces

GtkToggleAction implements GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

A GtkToggleAction corresponds roughly to a GtkCheckMenuItem. It has an "active" state specifying whether the action has been checked or not.

## Functions

### gtk_toggle_action_new ()

    GtkToggleAction *
    gtk_toggle_action_new (const gchar *name,
                           const gchar *label,
                           const gchar *tooltip,
                           const gchar *stock_id);

Creates a new GtkToggleAction object. To add the action to a GtkActionGroup and set the accelerator for the action, call `gtk_action_group_add_action_with_accel()`.

#### Parameters

name | A unique name for the action |
label | The label displayed in menu items and on buttons, or `NULL`. | [allow-none]
tooltip | A tooltip for the action, or `NULL`. | [allow-none]
stock_id | The stock icon to display in widgets representing the action, or `NULL` |

#### Returns

a new GtkToggleAction

Since 2.4

### gtk_toggle_action_toggled ()

    void
    gtk_toggle_action_toggled (GtkToggleAction *action);

Emits the "toggled" signal on the toggle action.

#### Parameters

action | the action object |

Since 2.4

### gtk_toggle_action_set_active ()

    void
    gtk_toggle_action_set_active (GtkToggleAction *action,
                                  gboolean is_active);

Sets the checked state on the toggle action.

#### Parameters

action | the action object |
is_active | whether the action should be checked or not |

Since 2.4

### gtk_toggle_action_get_active ()

    gboolean
    gtk_toggle_action_get_active (GtkToggleAction *action);

Returns the checked state of the toggle action.

#### Parameters

action | the action object |

#### Returns

the checked state of the toggle action

Since 2.4

### gtk_toggle_action_set_draw_as_radio ()

    void
    gtk_toggle_action_set_draw_as_radio (GtkToggleAction *action,
                                         gboolean draw_as_radio);

Sets whether the action should have proxies like a radio action.

#### Parameters

action | the action object |
draw_as_radio | whether the action should have proxies like a radio action |

Since 2.4

### gtk_toggle_action_get_draw_as_radio ()

    gboolean
    gtk_toggle_action_get_draw_as_radio (GtkToggleAction *action);

Returns whether the action should have proxies like a radio action.

#### Parameters

action | the action object |

#### Returns

whether the action should have proxies like a radio action.

Since 2.4

## Types and Values

### struct GtkToggleAction

    struct GtkToggleAction;

The GtkToggleAction struct contains only private members and should not be accessed directly.

## Property Details

### The `“active”` property

      “active”                   gboolean

If the toggle action should be active in or not.

Flags: Read / Write

Default value: FALSE

Since 2.10

### The `“draw-as-radio”` property

      “draw-as-radio”            gboolean

Whether the proxies for this action look like radio action proxies.

This is an appearance property and thus only applies if “use-action-appearance” is `TRUE`.

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“toggled”` signal

    void
    user_function (GtkToggleAction *toggleaction,
                   gpointer         user_data)

#### Parameters

toggleaction | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run First